Kerbal Space Program - Bug #9344

Zooming with scroll wheel in IVA also changes FoV (Field of View) in exterior view
04/20/2016 10:11 AM - grey_ghost

Status: Closed Start date: 04/20/2016
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Steps to reproduce:

1. Launch a craft.

2. Hit "c" to go to IVA.
3. Zoom all the way in.
4. Hit "c" again.

5. MAXIMUM TELEPHOTO (smaller field of view than can be reached with alt+scroll in exterior view).

History

#1 - 04/20/2016 09:26 PM - pvtnum11

Also occurs in Windows 64-bit versions. Tapping middle mouse twice rapidly will reset FOV.

#2 - 04/20/2016 09:27 PM - pvtnum11
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 04/25/2016 10:25 PM - Katateochi
- File KSP.log added

| have also observed this in build 1230 (win x64), exactly as grey_ghost described.

If you scroll backwards in IVA, which may not change the zoom in IVA (ie in a Mkl lander can), it still changes the external FOV (just in the opposite

dir to what's shown in above pic).
Didn't know about double middle click to reset, that's useful to know.

Not sure how useful for this but KSP.log attached.

#5 - 07/10/2016 09:56 AM - TriggerAu
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

Resolved in 1.1.3
